Subject: Re: [patch 29/30] PS3: Device tree source.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 14 Jun 2007 20:11:09 +1000

On Thu, 2007-06-14 at 09:31 +0200, Segher Boessenkool wrote:
> >> It should include "sony,", in the "name" property at least.
> >>
> >> "model" same as "name" cannot make sense either.
> >
> > Dunno what you are on about the model vs. name but this is the root of
> > the DT, it has no name.
> 
> Please review the OF spec, sections 3.4 and the "/" entry
> of 3.5.
> 
> I'f the flat device tree doc and/or code says differently
> here, that is a bug.

Well, I wonder if that's been superceeded by some RFC or never validated
addition ... None of the Apple trees for example has a /name property
and the idea of having a node with a name that doesn't participate in
the path resolution in just wrong. We should check but I don't think IBM
trees have one either.

So I stand by the way I defined the flat DT -> no name in the root. But
you are welcome to use compatible and model.

Ben.